FIX::group_order Struct Reference

Sorts fields in correct group order. More...

`#include <MessageSorters.h>`

## Static Public Member Functions

static bool | compare (const int x, const int y, int *order, int largest)

## Detailed Description

Sorts fields in correct group order.

Definition at line 99 of file MessageSorters.h.

## Member Function Documentation

## compare()

static bool FIX::group_order::compare | ( | const int | x,
|  | const int | y,
|  | int * | order,
|  | int | largest
| ) |  |

inline static

Definition at line 101 of file MessageSorters.h.

{
public:
enum cmp_mode { header, trailer, normal, group };
message_order( cmp_mode mode = normal )
: m_mode( mode ), m_delim( 0 ), m_largest( 0 ) {}

The documentation for this struct was generated from the following file:

- MessageSorters.h